// Garden Gnome Software - Skin
// Pano2VR pro 4.5beta2/10512
// Filename: image_thumb_slider.ggsk
// Generated Sat Mar 15 22:11:24 2014

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._slideshow=document.createElement('div');
		this._slideshow.ggId="slideshow";
		this._slideshow.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._slideshow.ggVisible=true;
		this._slideshow.className='ggskin ggskin_rectangle';
		this._slideshow.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 4px;';
		hs+='top:  0px;';
		hs+='width: 411px;';
		hs+='height: 371px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._slideshow.setAttribute('style',hs);
		this._mask=document.createElement('div');
		this._mask.ggId="mask";
		this._mask.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mask.ggVisible=true;
		this._mask.className='ggskin ggskin_container';
		this._mask.ggType='container';
		hs ='position:absolute;';
		hs+='left: 5px;';
		hs+='top:  9px;';
		hs+='width: 400px;';
		hs+='height: 300px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mask.setAttribute('style',hs);
		this._slider=document.createElement('div');
		this._slider.ggId="slider";
		this._slider.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._slider.ggVisible=true;
		this._slider.className='ggskin ggskin_container';
		this._slider.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 1600px;';
		hs+='height: 310px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._slider.setAttribute('style',hs);
		this._image_1=document.createElement('div');
		this._image_1.ggId="Image 1";
		this._image_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_1.ggVisible=true;
		this._image_1.className='ggskin ggskin_image';
		this._image_1.ggType='image';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 400px;';
		hs+='height: 300px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_1.setAttribute('style',hs);
		this._image_1__img=document.createElement('img');
		this._image_1__img.className='ggskin ggskin_image';
		this._image_1__img.setAttribute('src',basePath + 'images/image_1.png');
		this._image_1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_1__img.className='ggskin ggskin_image';
		this._image_1__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_1__img);
		this._image_1.appendChild(this._image_1__img);
		this._slider.appendChild(this._image_1);
		this._image_2=document.createElement('div');
		this._image_2.ggId="Image 2";
		this._image_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_2.ggVisible=true;
		this._image_2.className='ggskin ggskin_image';
		this._image_2.ggType='image';
		hs ='position:absolute;';
		hs+='left: 400px;';
		hs+='top:  0px;';
		hs+='width: 400px;';
		hs+='height: 300px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_2.setAttribute('style',hs);
		this._image_2__img=document.createElement('img');
		this._image_2__img.className='ggskin ggskin_image';
		this._image_2__img.setAttribute('src',basePath + 'images/image_2.png');
		this._image_2__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_2__img.className='ggskin ggskin_image';
		this._image_2__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_2__img);
		this._image_2.appendChild(this._image_2__img);
		this._slider.appendChild(this._image_2);
		this._image_3=document.createElement('div');
		this._image_3.ggId="Image 3";
		this._image_3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_3.ggVisible=true;
		this._image_3.className='ggskin ggskin_image';
		this._image_3.ggType='image';
		hs ='position:absolute;';
		hs+='left: 800px;';
		hs+='top:  10px;';
		hs+='width: 400px;';
		hs+='height: 300px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_3.setAttribute('style',hs);
		this._image_3__img=document.createElement('img');
		this._image_3__img.className='ggskin ggskin_image';
		this._image_3__img.setAttribute('src',basePath + 'images/image_3.png');
		this._image_3__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_3__img.className='ggskin ggskin_image';
		this._image_3__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_3__img);
		this._image_3.appendChild(this._image_3__img);
		this._slider.appendChild(this._image_3);
		this._image_4=document.createElement('div');
		this._image_4.ggId="Image 4";
		this._image_4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_4.ggVisible=true;
		this._image_4.className='ggskin ggskin_image';
		this._image_4.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1200px;';
		hs+='top:  10px;';
		hs+='width: 400px;';
		hs+='height: 300px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_4.setAttribute('style',hs);
		this._image_4__img=document.createElement('img');
		this._image_4__img.className='ggskin ggskin_image';
		this._image_4__img.setAttribute('src',basePath + 'images/image_4.png');
		this._image_4__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_4__img.className='ggskin ggskin_image';
		this._image_4__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_4__img);
		this._image_4.appendChild(this._image_4__img);
		this._slider.appendChild(this._image_4);
		this._mask.appendChild(this._slider);
		this._slideshow.appendChild(this._mask);
		this._pic_right=document.createElement('div');
		this._pic_right.ggId="pic_right";
		this._pic_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._pic_right.ggVisible=true;
		this._pic_right.className='ggskin ggskin_rectangle';
		this._pic_right.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 225px;';
		hs+='top:  319px;';
		hs+='width: 39px;';
		hs+='height: 39px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._pic_right.setAttribute('style',hs);
		this._pic_right.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx+=-400;me._slider.ggParameter.ry+=0;
			if (me._slider.ggParameter.rx<-1200) me._slider.ggParameter.rx=-1200;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
		this._slideshow.appendChild(this._pic_right);
		this._pic_left=document.createElement('div');
		this._pic_left.ggId="pic_left";
		this._pic_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._pic_left.ggVisible=true;
		this._pic_left.className='ggskin ggskin_rectangle';
		this._pic_left.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 150px;';
		hs+='top:  321px;';
		hs+='width: 39px;';
		hs+='height: 39px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._pic_left.setAttribute('style',hs);
		this._pic_left.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx+=400;me._slider.ggParameter.ry+=0;
			if (me._slider.ggParameter.rx>0) me._slider.ggParameter.rx=0;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
		this._slideshow.appendChild(this._pic_left);
		this.divSkin.appendChild(this._slideshow);
		this._thumbnail_slider=document.createElement('div');
		this._thumbnail_slider.ggId="thumbnail_slider";
		this._thumbnail_slider.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_slider.ggVisible=true;
		this._thumbnail_slider.className='ggskin ggskin_rectangle';
		this._thumbnail_slider.ggType='rectangle';
		this._thumbnail_slider.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-401 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-135 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -401px;';
		hs+='top:  -135px;';
		hs+='width: 269px;';
		hs+='height: 49px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #000000;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		this._thumbnail_slider.setAttribute('style',hs);
		this._thumb_right=document.createElement('div');
		this._thumb_right.ggId="thumb_right";
		this._thumb_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_right.ggVisible=true;
		this._thumb_right.className='ggskin ggskin_rectangle';
		this._thumb_right.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 146px;';
		hs+='top:  53px;';
		hs+='width: 31px;';
		hs+='height: 31px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._thumb_right.setAttribute('style',hs);
		this._thumb_right.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._thumb_slider.style[domTransition]='none';
			} else {
				me._thumb_slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._thumb_slider.ggParameter.rx+=-250;me._thumb_slider.ggParameter.ry+=0;
			if (me._thumb_slider.ggParameter.rx<-1000) me._thumb_slider.ggParameter.rx=-1000;
			me._thumb_slider.style[domTransform]=parameterToTransform(me._thumb_slider.ggParameter);
		}
		this._thumbnail_slider.appendChild(this._thumb_right);
		this._thumb_left=document.createElement('div');
		this._thumb_left.ggId="thumb_left";
		this._thumb_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_left.ggVisible=true;
		this._thumb_left.className='ggskin ggskin_rectangle';
		this._thumb_left.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 95px;';
		hs+='top:  53px;';
		hs+='width: 31px;';
		hs+='height: 31px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._thumb_left.setAttribute('style',hs);
		this._thumb_left.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._thumb_slider.style[domTransition]='none';
			} else {
				me._thumb_slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._thumb_slider.ggParameter.rx+=250;me._thumb_slider.ggParameter.ry+=0;
			if (me._thumb_slider.ggParameter.rx>0) me._thumb_slider.ggParameter.rx=0;
			me._thumb_slider.style[domTransform]=parameterToTransform(me._thumb_slider.ggParameter);
		}
		this._thumbnail_slider.appendChild(this._thumb_left);
		this._thumb_mask=document.createElement('div');
		this._thumb_mask.ggId="thumb_mask";
		this._thumb_mask.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_mask.ggVisible=true;
		this._thumb_mask.className='ggskin ggskin_container';
		this._thumb_mask.ggType='container';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  4px;';
		hs+='width: 250px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._thumb_mask.setAttribute('style',hs);
		this._thumb_slider=document.createElement('div');
		this._thumb_slider.ggId="thumb_slider";
		this._thumb_slider.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_slider.ggVisible=true;
		this._thumb_slider.className='ggskin ggskin_container';
		this._thumb_slider.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 1250px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._thumb_slider.setAttribute('style',hs);
		this._image_29=document.createElement('div');
		this._image_29.ggId="Image 29";
		this._image_29.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_29.ggVisible=true;
		this._image_29.className='ggskin ggskin_image';
		this._image_29.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1200px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_29.setAttribute('style',hs);
		this._image_29__img=document.createElement('img');
		this._image_29__img.className='ggskin ggskin_image';
		this._image_29__img.setAttribute('src',basePath + 'images/image_29.png');
		this._image_29__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_29__img.className='ggskin ggskin_image';
		this._image_29__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_29__img);
		this._image_29.appendChild(this._image_29__img);
		this._thumb_slider.appendChild(this._image_29);
		this._image_28=document.createElement('div');
		this._image_28.ggId="Image 28";
		this._image_28.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_28.ggVisible=true;
		this._image_28.className='ggskin ggskin_image';
		this._image_28.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1150px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_28.setAttribute('style',hs);
		this._image_28__img=document.createElement('img');
		this._image_28__img.className='ggskin ggskin_image';
		this._image_28__img.setAttribute('src',basePath + 'images/image_28.png');
		this._image_28__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_28__img.className='ggskin ggskin_image';
		this._image_28__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_28__img);
		this._image_28.appendChild(this._image_28__img);
		this._thumb_slider.appendChild(this._image_28);
		this._image_27=document.createElement('div');
		this._image_27.ggId="Image 27";
		this._image_27.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_27.ggVisible=true;
		this._image_27.className='ggskin ggskin_image';
		this._image_27.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1100px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_27.setAttribute('style',hs);
		this._image_27__img=document.createElement('img');
		this._image_27__img.className='ggskin ggskin_image';
		this._image_27__img.setAttribute('src',basePath + 'images/image_27.png');
		this._image_27__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_27__img.className='ggskin ggskin_image';
		this._image_27__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_27__img);
		this._image_27.appendChild(this._image_27__img);
		this._thumb_slider.appendChild(this._image_27);
		this._image_26=document.createElement('div');
		this._image_26.ggId="Image 26";
		this._image_26.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_26.ggVisible=true;
		this._image_26.className='ggskin ggskin_image';
		this._image_26.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1050px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_26.setAttribute('style',hs);
		this._image_26__img=document.createElement('img');
		this._image_26__img.className='ggskin ggskin_image';
		this._image_26__img.setAttribute('src',basePath + 'images/image_26.png');
		this._image_26__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_26__img.className='ggskin ggskin_image';
		this._image_26__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_26__img);
		this._image_26.appendChild(this._image_26__img);
		this._thumb_slider.appendChild(this._image_26);
		this._image_25=document.createElement('div');
		this._image_25.ggId="Image 25";
		this._image_25.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_25.ggVisible=true;
		this._image_25.className='ggskin ggskin_image';
		this._image_25.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1000px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_25.setAttribute('style',hs);
		this._image_25__img=document.createElement('img');
		this._image_25__img.className='ggskin ggskin_image';
		this._image_25__img.setAttribute('src',basePath + 'images/image_25.png');
		this._image_25__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_25__img.className='ggskin ggskin_image';
		this._image_25__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_25__img);
		this._image_25.appendChild(this._image_25__img);
		this._thumb_slider.appendChild(this._image_25);
		this._image_24=document.createElement('div');
		this._image_24.ggId="Image 24";
		this._image_24.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_24.ggVisible=true;
		this._image_24.className='ggskin ggskin_image';
		this._image_24.ggType='image';
		hs ='position:absolute;';
		hs+='left: 950px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_24.setAttribute('style',hs);
		this._image_24__img=document.createElement('img');
		this._image_24__img.className='ggskin ggskin_image';
		this._image_24__img.setAttribute('src',basePath + 'images/image_24.png');
		this._image_24__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_24__img.className='ggskin ggskin_image';
		this._image_24__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_24__img);
		this._image_24.appendChild(this._image_24__img);
		this._thumb_slider.appendChild(this._image_24);
		this._image_23=document.createElement('div');
		this._image_23.ggId="Image 23";
		this._image_23.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_23.ggVisible=true;
		this._image_23.className='ggskin ggskin_image';
		this._image_23.ggType='image';
		hs ='position:absolute;';
		hs+='left: 900px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_23.setAttribute('style',hs);
		this._image_23__img=document.createElement('img');
		this._image_23__img.className='ggskin ggskin_image';
		this._image_23__img.setAttribute('src',basePath + 'images/image_23.png');
		this._image_23__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_23__img.className='ggskin ggskin_image';
		this._image_23__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_23__img);
		this._image_23.appendChild(this._image_23__img);
		this._thumb_slider.appendChild(this._image_23);
		this._image_22=document.createElement('div');
		this._image_22.ggId="Image 22";
		this._image_22.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_22.ggVisible=true;
		this._image_22.className='ggskin ggskin_image';
		this._image_22.ggType='image';
		hs ='position:absolute;';
		hs+='left: 850px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_22.setAttribute('style',hs);
		this._image_22__img=document.createElement('img');
		this._image_22__img.className='ggskin ggskin_image';
		this._image_22__img.setAttribute('src',basePath + 'images/image_22.png');
		this._image_22__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_22__img.className='ggskin ggskin_image';
		this._image_22__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_22__img);
		this._image_22.appendChild(this._image_22__img);
		this._thumb_slider.appendChild(this._image_22);
		this._image_21=document.createElement('div');
		this._image_21.ggId="Image 21";
		this._image_21.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_21.ggVisible=true;
		this._image_21.className='ggskin ggskin_image';
		this._image_21.ggType='image';
		hs ='position:absolute;';
		hs+='left: 800px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_21.setAttribute('style',hs);
		this._image_21__img=document.createElement('img');
		this._image_21__img.className='ggskin ggskin_image';
		this._image_21__img.setAttribute('src',basePath + 'images/image_21.png');
		this._image_21__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_21__img.className='ggskin ggskin_image';
		this._image_21__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_21__img);
		this._image_21.appendChild(this._image_21__img);
		this._thumb_slider.appendChild(this._image_21);
		this._image_20=document.createElement('div');
		this._image_20.ggId="Image 20";
		this._image_20.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_20.ggVisible=true;
		this._image_20.className='ggskin ggskin_image';
		this._image_20.ggType='image';
		hs ='position:absolute;';
		hs+='left: 750px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_20.setAttribute('style',hs);
		this._image_20__img=document.createElement('img');
		this._image_20__img.className='ggskin ggskin_image';
		this._image_20__img.setAttribute('src',basePath + 'images/image_20.png');
		this._image_20__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_20__img.className='ggskin ggskin_image';
		this._image_20__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_20__img);
		this._image_20.appendChild(this._image_20__img);
		this._thumb_slider.appendChild(this._image_20);
		this._image_19=document.createElement('div');
		this._image_19.ggId="Image 19";
		this._image_19.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_19.ggVisible=true;
		this._image_19.className='ggskin ggskin_image';
		this._image_19.ggType='image';
		hs ='position:absolute;';
		hs+='left: 700px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_19.setAttribute('style',hs);
		this._image_19__img=document.createElement('img');
		this._image_19__img.className='ggskin ggskin_image';
		this._image_19__img.setAttribute('src',basePath + 'images/image_19.png');
		this._image_19__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_19__img.className='ggskin ggskin_image';
		this._image_19__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_19__img);
		this._image_19.appendChild(this._image_19__img);
		this._thumb_slider.appendChild(this._image_19);
		this._image_18=document.createElement('div');
		this._image_18.ggId="Image 18";
		this._image_18.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_18.ggVisible=true;
		this._image_18.className='ggskin ggskin_image';
		this._image_18.ggType='image';
		hs ='position:absolute;';
		hs+='left: 650px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_18.setAttribute('style',hs);
		this._image_18__img=document.createElement('img');
		this._image_18__img.className='ggskin ggskin_image';
		this._image_18__img.setAttribute('src',basePath + 'images/image_18.png');
		this._image_18__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_18__img.className='ggskin ggskin_image';
		this._image_18__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_18__img);
		this._image_18.appendChild(this._image_18__img);
		this._thumb_slider.appendChild(this._image_18);
		this._image_17=document.createElement('div');
		this._image_17.ggId="Image 17";
		this._image_17.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_17.ggVisible=true;
		this._image_17.className='ggskin ggskin_image';
		this._image_17.ggType='image';
		hs ='position:absolute;';
		hs+='left: 600px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_17.setAttribute('style',hs);
		this._image_17__img=document.createElement('img');
		this._image_17__img.className='ggskin ggskin_image';
		this._image_17__img.setAttribute('src',basePath + 'images/image_17.png');
		this._image_17__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_17__img.className='ggskin ggskin_image';
		this._image_17__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_17__img);
		this._image_17.appendChild(this._image_17__img);
		this._thumb_slider.appendChild(this._image_17);
		this._image_16=document.createElement('div');
		this._image_16.ggId="Image 16";
		this._image_16.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_16.ggVisible=true;
		this._image_16.className='ggskin ggskin_image';
		this._image_16.ggType='image';
		hs ='position:absolute;';
		hs+='left: 550px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_16.setAttribute('style',hs);
		this._image_16__img=document.createElement('img');
		this._image_16__img.className='ggskin ggskin_image';
		this._image_16__img.setAttribute('src',basePath + 'images/image_16.png');
		this._image_16__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_16__img.className='ggskin ggskin_image';
		this._image_16__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_16__img);
		this._image_16.appendChild(this._image_16__img);
		this._thumb_slider.appendChild(this._image_16);
		this._image_15=document.createElement('div');
		this._image_15.ggId="Image 15";
		this._image_15.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_15.ggVisible=true;
		this._image_15.className='ggskin ggskin_image';
		this._image_15.ggType='image';
		hs ='position:absolute;';
		hs+='left: 500px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_15.setAttribute('style',hs);
		this._image_15__img=document.createElement('img');
		this._image_15__img.className='ggskin ggskin_image';
		this._image_15__img.setAttribute('src',basePath + 'images/image_15.png');
		this._image_15__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_15__img.className='ggskin ggskin_image';
		this._image_15__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_15__img);
		this._image_15.appendChild(this._image_15__img);
		this._thumb_slider.appendChild(this._image_15);
		this._image_14=document.createElement('div');
		this._image_14.ggId="Image 14";
		this._image_14.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_14.ggVisible=true;
		this._image_14.className='ggskin ggskin_image';
		this._image_14.ggType='image';
		hs ='position:absolute;';
		hs+='left: 450px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_14.setAttribute('style',hs);
		this._image_14__img=document.createElement('img');
		this._image_14__img.className='ggskin ggskin_image';
		this._image_14__img.setAttribute('src',basePath + 'images/image_14.png');
		this._image_14__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_14__img.className='ggskin ggskin_image';
		this._image_14__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_14__img);
		this._image_14.appendChild(this._image_14__img);
		this._thumb_slider.appendChild(this._image_14);
		this._image_13=document.createElement('div');
		this._image_13.ggId="Image 13";
		this._image_13.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_13.ggVisible=true;
		this._image_13.className='ggskin ggskin_image';
		this._image_13.ggType='image';
		hs ='position:absolute;';
		hs+='left: 400px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_13.setAttribute('style',hs);
		this._image_13__img=document.createElement('img');
		this._image_13__img.className='ggskin ggskin_image';
		this._image_13__img.setAttribute('src',basePath + 'images/image_13.png');
		this._image_13__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_13__img.className='ggskin ggskin_image';
		this._image_13__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_13__img);
		this._image_13.appendChild(this._image_13__img);
		this._thumb_slider.appendChild(this._image_13);
		this._image_12=document.createElement('div');
		this._image_12.ggId="Image 12";
		this._image_12.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_12.ggVisible=true;
		this._image_12.className='ggskin ggskin_image';
		this._image_12.ggType='image';
		hs ='position:absolute;';
		hs+='left: 350px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_12.setAttribute('style',hs);
		this._image_12__img=document.createElement('img');
		this._image_12__img.className='ggskin ggskin_image';
		this._image_12__img.setAttribute('src',basePath + 'images/image_12.png');
		this._image_12__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_12__img.className='ggskin ggskin_image';
		this._image_12__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_12__img);
		this._image_12.appendChild(this._image_12__img);
		this._thumb_slider.appendChild(this._image_12);
		this._image_11=document.createElement('div');
		this._image_11.ggId="Image 11";
		this._image_11.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_11.ggVisible=true;
		this._image_11.className='ggskin ggskin_image';
		this._image_11.ggType='image';
		hs ='position:absolute;';
		hs+='left: 300px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_11.setAttribute('style',hs);
		this._image_11__img=document.createElement('img');
		this._image_11__img.className='ggskin ggskin_image';
		this._image_11__img.setAttribute('src',basePath + 'images/image_11.png');
		this._image_11__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_11__img.className='ggskin ggskin_image';
		this._image_11__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_11__img);
		this._image_11.appendChild(this._image_11__img);
		this._thumb_slider.appendChild(this._image_11);
		this._image_10=document.createElement('div');
		this._image_10.ggId="Image 10";
		this._image_10.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_10.ggVisible=true;
		this._image_10.className='ggskin ggskin_image';
		this._image_10.ggType='image';
		hs ='position:absolute;';
		hs+='left: 250px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_10.setAttribute('style',hs);
		this._image_10__img=document.createElement('img');
		this._image_10__img.className='ggskin ggskin_image';
		this._image_10__img.setAttribute('src',basePath + 'images/image_10.png');
		this._image_10__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_10__img.className='ggskin ggskin_image';
		this._image_10__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_10__img);
		this._image_10.appendChild(this._image_10__img);
		this._thumb_slider.appendChild(this._image_10);
		this._image_9=document.createElement('div');
		this._image_9.ggId="Image 9";
		this._image_9.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_9.ggVisible=true;
		this._image_9.className='ggskin ggskin_image';
		this._image_9.ggType='image';
		hs ='position:absolute;';
		hs+='left: 200px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_9.setAttribute('style',hs);
		this._image_9__img=document.createElement('img');
		this._image_9__img.className='ggskin ggskin_image';
		this._image_9__img.setAttribute('src',basePath + 'images/image_9.png');
		this._image_9__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_9__img.className='ggskin ggskin_image';
		this._image_9__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_9__img);
		this._image_9.appendChild(this._image_9__img);
		this._thumb_slider.appendChild(this._image_9);
		this._image_8=document.createElement('div');
		this._image_8.ggId="Image 8";
		this._image_8.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_8.ggVisible=true;
		this._image_8.className='ggskin ggskin_image';
		this._image_8.ggType='image';
		hs ='position:absolute;';
		hs+='left: 150px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_8.setAttribute('style',hs);
		this._image_8__img=document.createElement('img');
		this._image_8__img.className='ggskin ggskin_image';
		this._image_8__img.setAttribute('src',basePath + 'images/image_8.png');
		this._image_8__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_8__img.className='ggskin ggskin_image';
		this._image_8__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_8__img);
		this._image_8.appendChild(this._image_8__img);
		this._thumb_slider.appendChild(this._image_8);
		this._image_7=document.createElement('div');
		this._image_7.ggId="Image 7";
		this._image_7.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_7.ggVisible=true;
		this._image_7.className='ggskin ggskin_image';
		this._image_7.ggType='image';
		hs ='position:absolute;';
		hs+='left: 100px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_7.setAttribute('style',hs);
		this._image_7__img=document.createElement('img');
		this._image_7__img.className='ggskin ggskin_image';
		this._image_7__img.setAttribute('src',basePath + 'images/image_7.png');
		this._image_7__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_7__img.className='ggskin ggskin_image';
		this._image_7__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_7__img);
		this._image_7.appendChild(this._image_7__img);
		this._thumb_slider.appendChild(this._image_7);
		this._image_6=document.createElement('div');
		this._image_6.ggId="Image 6";
		this._image_6.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_6.ggVisible=true;
		this._image_6.className='ggskin ggskin_image';
		this._image_6.ggType='image';
		hs ='position:absolute;';
		hs+='left: 50px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_6.setAttribute('style',hs);
		this._image_6__img=document.createElement('img');
		this._image_6__img.className='ggskin ggskin_image';
		this._image_6__img.setAttribute('src',basePath + 'images/image_6.png');
		this._image_6__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_6__img.className='ggskin ggskin_image';
		this._image_6__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_6__img);
		this._image_6.appendChild(this._image_6__img);
		this._thumb_slider.appendChild(this._image_6);
		this._image_5=document.createElement('div');
		this._image_5.ggId="Image 5";
		this._image_5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_5.ggVisible=true;
		this._image_5.className='ggskin ggskin_image';
		this._image_5.ggType='image';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 50px;';
		hs+='height: 40px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_5.setAttribute('style',hs);
		this._image_5__img=document.createElement('img');
		this._image_5__img.className='ggskin ggskin_image';
		this._image_5__img.setAttribute('src',basePath + 'images/image_5.png');
		this._image_5__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_5__img.className='ggskin ggskin_image';
		this._image_5__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_5__img);
		this._image_5.appendChild(this._image_5__img);
		this._thumb_slider.appendChild(this._image_5);
		this._thumb_mask.appendChild(this._thumb_slider);
		this._thumbnail_slider.appendChild(this._thumb_mask);
		this.divSkin.appendChild(this._thumbnail_slider);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};